<?php
if(!defined('ROOT')) die();

define('RETURNCODE', isset($_SESSION['blogReturnCode']) ? $_SESSION['blogReturnCode'] : '');

$data['blogType'] = '';
$data['blogConfig'] = 'close';

$pluginsMananger = pluginsManager::getInstance();

switch(RETURNCODE) {
	case 'config0':
		$data['blogMsg'] = 'La configuration est enregistrée.';
		$data['blogMsgType'] = 'success';
		$data['blogConfig'] = 'open';
		$_SESSION['blogReturnCode'] = '';
		break;
	case 'config1':
		$data['blogMsg'] = 'Le nom du blog doit être renseigné.';
		$data['blogMsgType'] = 'error';
		$data['blogConfig'] = 'open';
		$_SESSION['blogReturnCode'] = '';
		break;
	case 'config2':
		$data['blogMsg'] = 'Problème lors de l\'enregistrement de la configuration.';
		$data['blogMsgType'] = 'error';
		$data['blogConfig'] = 'open';
		$_SESSION['blogReturnCode'] = '';
		break;
	case 'entry0':
		$data['blogMsg'] = 'Le billet est enregistré.';
		$data['blogMsgType'] = 'success';
		$_SESSION['blogReturnCode'] = '';
		break;
	case 'entry1':
		$data['blogMsg'] = 'Tous les champs doivent être renseignés.';
		$data['blogMsgType'] = 'error';
		$_SESSION['blogReturnCode'] = '';
		break;
	case 'comment0':
		$data['blogMsg'] = 'Le commentaire est enregistré.';
		$data['blogMsgType'] = 'success';
		$_SESSION['blogReturnCode'] = '';
		break;
	case 'category0':
		$data['blogMsg'] = 'La catégorie a bien été ajoutée.';
		$data['blogMsgType'] = 'success';
		$_SESSION['blogReturnCode'] = '';
		break;
	case 'category1':
		$data['blogMsg'] = 'Le nom de catégorie est obligatoire.';
		$data['blogMsgType'] = 'error';
		$_SESSION['blogReturnCode'] = '';
		break;
	default:
		$data['blogMsg'] = '';
		$data['blogMsgType'] = '';
}

if (isset($_GET['m'])) {
	$message = $_GET['m'];
} else {
	$message = '';
}

$captcha = $runPlugin->getConfigVal('captcha');

switch (ACTION) {
	case 'save':
		if ($_POST['save_type'] == 'config') {
			if (empty($_POST['blog_title'])) {
				$_SESSION['blogReturnCode'] = 'config1';
				header('location:index.php?p=blog');
				die();
			} else {			
				$runPlugin->setConfigVal('title', $_POST['blog_title']);
				$runPlugin->setConfigVal('author', $_POST['blog_author']);
				$runPlugin->setConfigVal('entry_per_page', $_POST['blog_entry_per_page']);
				$runPlugin->setConfigVal('with_comment', $_POST['blog_with_comment']=='on');
				$runPlugin->setConfigVal('captcha', $_POST['blog_captcha']=='on');
				if ($pluginsManager->savePluginConfig($runPlugin)) {
					$_SESSION['blogReturnCode'] = 'config0';
				} else {
					$_SESSION['blogReturnCode'] = 'config2';
				}
				header('location:index.php?p=blog');
				die();
			}
		} else if ($_POST['save_type'] == 'post') {
			if (empty($_POST['b_title']) || empty($_POST['b_date']) ||
					empty($_POST['b_author']) || empty($_POST['b_content'])) {
				$_SESSION['blogReturnCode'] = 'entry1';
				$_SESSION['postData'] = array(
					'id' => $_POST['b_id'],
					'title' => $_POST['b_title'],
					'published' => $_POST['b_published'],
					'date' => $_POST['b_date'],
					'author' => $_POST['b_author'],
					'content' => $_POST['b_content'],
				);
				header('location:index.php?p=blog&action=edit');
				die();
			} else {
				if ($_POST['b_id'] != '-1') {
					$post = blog::getPost($_POST['b_id']);
					
					$category_old = $post->getCategory();
					
					$post->setTitle($_POST['b_title']);
					$post->setDate(blog::formatDate($_POST['b_date'], true));
					$post->setAuthor($_POST['b_author']);
					$post->setCategory($_POST['b_category']);
					$post->setContent($_POST['b_content']);
					$post->save();
					
					if (isset($_POST['b_published'])) {
						$post->publish();
					} else {
						$post->unpublish();
					}
					
					$category_new = $post->getCategory();
					
					if ($category_old != $category_new) {
						if ($category_old != -1) {
							$category = blog::getCategory($category_old);
							$category->removePost($post->getId());
							$category->save();
						}
						if ($category_new != -1) {
							$category = blog::getCategory($category_new);
							$category->addPost($post, $post->getPublished(), true);
							$category->save();
						}
					}
					
					blog::orderIndex('posts');
					blog::orderCategory($post->getCategory());
				} else {
					$post = blog::createPost($_POST['b_title'], $_POST['b_author'], $_POST['b_content'], blog::formatDate($_POST['b_date'], true), isset($_POST['b_published']), $_POST['b_category']);
				}
				
				$_SESSION['blogReturnCode'] = 'entry0';
				header('location:index.php?p=blog&action=edit&id='.$post->getId());
				include_once(BLOG_PLUGINPATH.'atom.php');
				die();
			}
		} else if ($_POST['save_type'] == 'comment') {
			$comment = blog::getComment($_POST['c_id']);
			$comment->setContent($_POST['c_content']);
			$comment->save();
			
			if ($_POST['c_published'] == 'on') {
				$comment->publish();
			} else {
				$comment->unpublish();
			}

			$_SESSION['blogReturnCode'] = 'comment0';
			header('location:index.php?p=blog&action=edit&id='.$_POST['b_id'].'&cid='.$_POST['c_id']);
			die();
		} else if ($_POST['save_type'] == 'category') {
			if (empty($_POST['label'])) {
				$_SESSION['blogReturnCode'] = 'category1';
				header('location:index.php?p=blog&action=categories');
				die();
			} else {
				blog::createCategory($_POST['label']);
				
				$_SESSION['blogReturnCode'] = 'category0';
				header('location:index.php?p=blog&action=categories');
				die();
			}
		} else {
			header('location:index.php?p=blog');
			die();
		}
		break;
	case 'edit':
		if (isset($_GET['cid'])) {
			$data['blogType'] = 'editcomment';
			
			$comment = blog::getComment($_GET['cid']);
		} else {
			$data['blogType'] = 'editpost';
		
			if (RETURNCODE == 'entry1') {
				$data['post'] = $_SESSION['postData'];
				unset($_SESSION['postData']);
				$post = blog::getPost($data['post']['id'], false);
				$post->setTitle($data['post']['title']);
				$post->setAuthor($data['post']['author']);
				$post->setContent($data['post']['content']);
				$post->setDate($data['post']['date']);
				$post->setPublished($data['post']['published']);
			} else {
				if (isset($_GET['id'])) {
					$post = blog::getPost($_GET['id']);
				} else {
					$post = new blogPost();
					$post->setAuthor($runPlugin->getConfigVal('author'));
					$post->setDate(time());
				}
			}
			
			$categories = blog::getCategories();			
		}
		break;
	case 'comments':
		if (!isset($_GET['id'])) {
			header('location:index.php?p=blog');
			die();
		}
		$data['blogType'] = 'comments';
		$post = blog::getPost($_GET['id']);
		$comments = $post->getComments(false);
		break;
	case 'categories':
		$data['blogType'] = 'categories';
		$categories = blog::getCategories();
		break;
	case 'delete':
		if (isset($_GET['cid'])) {
			blog::deleteComment($_GET['cid']);
			header('location:index.php?p=blog&action=comments&id='.$_GET['id']);
			die();
		} else if (isset($_GET['catid'])) {
			blog::deleteCategory($_GET['catid']);
			header('location:index.php?p=blog&action=categories');
			die();
		} else {
			blog::deletePost($_GET['id']);
			header('location:index.php?p=blog');
			die();
		}
		break;
	default:
		$data['blogType'] = 'list';
		$data['blogPosts'] = blog::getPosts(false);
}
?>
