<?php

class blogComment {
	private $id;
	private $author;
	private $content;
	private $date;
	private $published;
	private $post;
	
	public function __construct($id = -1) {
		$this->id = $id;
		if ($this->id == -1) {
			$this->author = '';
			$this->content = '';
			$this->date = -1;
			$this->published = true;
			$this->post = -1;
		} else {
			$comment = utilReadJsonFile(BLOG_COMMENTS.$this->id.'.json');
			$this->author = $comment['author'];
			$this->content = $comment['content'];
			$this->date = $comment['date'];
			$this->published = $comment['published'];
			$this->post = $comment['post'];
		}
	}
	
	public function getId() {
		return $this->id;
	}
	
	public function getAuthor() {
		return $this->author;
	}
	
	public function getContent() {
		return $this->content;
	}
	
	public function getDate() {
		return $this->date;
	}
	
	public function getPublished() {
		return $this->published;
	}
	
	public function getPost() {
		return $this->post;
	}
	
	public function setAuthor($author) {
		$this->author = trim($author);
	}
	
	public function setContent($content) {
		$this->content = trim($content);
	}
	
	public function setDate($date) {
		$this->date = $date;
	}
	
	public function setPublished($published) {
		$this->published = $published;
	}
	
	public function setPost($post) {
		$this->post = $post;
	}
	
	public function publish() {
		if (!$this->published) {
			$this->published = true;
			
			$index = blog::getIndex('comments');
			$index->publishElement($this->id);
			$index->save();
			
			$post = blog::getPost($this->post);
			$post->publishComment($this->id);
			$post->save();
			
			$this->save();
		}
	}
	
	public function unpublish() {
		if ($this->published) {
			$this->published = false;
			
			$index = blog::getIndex('comments');
			$index->unpublishElement($this->id);
			$index->save();
			
			$post = blog::getPost($this->post);
			$post->unpublishComment($this->id);
			$post->save();
			
			$this->save();
		}
	}
	
	public function save() {
		$comment = array(
			'author' => $this->author,
			'content' => $this->content,
			'date' => $this->date,
			'published' => $this->published,
			'post' => $this->post
		);
		
		if ($this->id == -1) {
			$index = utilReadJsonFile(BLOG_COMMENTS.'index.json');
			$this->id = $index['current'];
			$index['current'] += 1;
			utilWriteJsonFile(BLOG_COMMENTS.'index.json', $index);
		}
		
		return utilWriteJsonFile(BLOG_COMMENTS.$this->id.'.json', $comment);
	}
}

?>
