<?php
if(!defined('ROOT')) die();

define('RETURNCODE', ((isset($_SESSION['blogReturnCode'])) ? $_SESSION['blogReturnCode'] : ''));

if (!empty($_SESSION['commentData'])) {
	$data['commentData'] = $_SESSION['commentData'];
	unset($_SESSION['commentData']);
} else {
	$data['commentData'] = array(
		'author' => '',
		'content' => ''
	);
}

$runPlugin->removeToBreadcrumb(0);
$runPlugin->addToBreadcrumb($runPlugin->getConfigVal('title'), rewriteUrl('blog'));

$query = array();
$query['action'] = '';

if ($urlParams[0] == 'category') {
	$query['cid'] = $urlParams[1];
	if (isset($urlParams[2])) {
		$query['page'] = $urlParams[2];
	}
} else if ($urlParams[0] == 'post') {
	$query['pid'] = $urlParams[1];
	if (isset($urlParams[2])) {
		$query['action'] = $urlParams[2];
	}
} else if ($urlParams[0] == 'page') {
	$query['page'] = $urlParams[1];
}


// Enregistrement commentaire
if ($query['action'] == 'save') {
	if (empty($_POST['author']) || empty($_POST['content'])) {
		$_SESSION['blogReturnCode'] = 'comment1';
		$_SESSION['commentData'] = array(
			'author' => $_POST['author'],
			'content' => $_POST['content']
		);
		header('location:'.getCoreConf('siteUrl').'/'.rewriteUrl('blog', array('type' => 'post', 'pid' => $query['pid'])).'#commentForm');
		die();
	} else {
		if (blog::useCaptcha() && !checkCaptcha()) {
			$_SESSION['blogReturnCode'] = 'comment2';
			$_SESSION['commentData'] = array(
				'author' => $_POST['author'],
				'content' => $_POST['content']
			);
			header('location:'.getCoreConf('siteUrl').'/'.rewriteUrl('blog', array('type' => 'post', 'pid' => $query['pid'])).'#commentForm');
			die();
		} else {
			$comment = blog::createComment($_POST['author'], htmlentities($_POST['content'], ENT_COMPAT, "UTF-8"), $query['pid']);
			$post = blog::getPost($query['pid']);
			$post->addComment($comment, true, true);
			$post->save();

			$_SESSION['blogReturnCode'] = 'comment0';

			header('location:'.getCoreConf('siteUrl').'/'.rewriteUrl('blog', array('type' => 'post', 'pid' => $query['pid'])).'#'.$comment->getId());
			die();
		}
	}
}


// Listing de catégorie
if (isset($query['cid'])) {
	$query['page'] = isset($query['page']) ? $query['page'] : 1;

	$_SESSION['lastPageSeen'] = $query['page'];
	$_SESSION['lastCategorySeen'] = $query['cid'];
	
	$category = blog::getCategory($query['cid']);
	$posts = blog::getCategoryPage($query['cid'], $query['page']);
	
	$data['blogType'] = 'list';
	$data['blogPosts'] = $posts;
	$data['blogNext'] = blog::hasNextPage($query['page'], true, 'category', $query['cid']);
	$data['blogPrevious'] = blog::hasPreviousPage($query['page']);

	$data['metaDescriptionTag'] = '';

	$runPlugin->addToBreadcrumb('Catégorie::'.$category->getLabel(), rewriteUrl('blog', array('type' => 'category', 'cid' => $query['cid'])));
	if ($query['page'] > 1) {
		$runPlugin->addToBreadcrumb('Page '.$query['page'], rewriteUrl('blog', array('type' => 'category', 'cid' => $query['cid'], 'page' => $query['page'])));
	}
	$runPlugin->setTitleTag($category->getLabel().($query['page']>1 ? ' - Page '.$query['page'] : ''));
	$runPlugin->setMainTitle($category->getLabel());

// Un billet
} else if (isset($query['pid'])) {
	$post = blog::getPost($query['pid']);
	
	$data['blogType'] = 'post';
	$data['blogComments'] = $post->getComments();

	$data['metaDescriptionTag'] = '';
	
	$runPlugin->setMainTitle($runPlugin->getConfigVal('title'));
	$runPlugin->setTitleTag($post->getTitle());
	$runPlugin->addToBreadcrumb($post->getTitle(), rewriteUrl('blog', array('type' => 'post', 'pid' => $query['pid'])));
	
// Listing de page
} else {
	$query['page'] = isset($query['page']) ? $query['page'] : 1;
	
	$_SESSION['lastPageSeen'] = $query['page'];
	if (isset($_SESSION['lastCategorySeen'])) {
		unset($_SESSION['lastCategorySeen']);
	}
	
	$posts = blog::getPage($query['page']);
	
	$data['blogType'] = 'list';
	$data['blogPosts'] = $posts;
	$data['blogNext'] = blog::hasNextPage($query['page']);
	$data['blogPrevious'] = blog::hasPreviousPage($query['page']);
	
	$data['metaDescriptionTag'] = 'Derniers billets : ';
	foreach ($data['blogPosts'] as $post) {
		$data['metaDescriptionTag'] .= $post->getTitle().'; ';
	}
	
	$runPlugin->setTitleTag($runPlugin->getConfigVal('title').($query['page']>1 ? ' - Page '.$query['page'] : ''));
	$runPlugin->setMainTitle($runPlugin->getConfigVal('title'));
	if ($query['page'] > 1) {
		$runPlugin->addToBreadcrumb('Page '.$query['page'], rewriteUrl('blog', array('type' => 'page', 'page' => $query['page'])));
	}
}

switch(RETURNCODE) {
	case 'comment0':
		$data['msg'] = 'Le commentaire a bien été enregistré.';
		$data['msgType'] = 'success';
		$_SESSION['blogReturnCode'] = '';
		break;
	case 'comment1':
		$data['msg'] = 'Tous les champs doivent être renseignés.';
		$data['msgType'] = 'error';
		$_SESSION['blogReturnCode'] = '';
		break;
	case 'comment2':
		$data['msg'] = 'Le captcha saisi est erroné.';
		$data['msgType'] = 'error';
		$_SESSION['blogReturnCode'] = '';
		break;
	default:
		$data['msg'] = '';
		$data['msgType'] = '';
}
?>
