<?php include_once(ROOT.'theme/'.$coreConf['theme'].'/header.php') ?>

<?php if ($data['blogType'] == 'list') { ?>
<!------------------------------------- LIST ---------------------------------->
<section id="blogContent">
	<?php foreach($data['blogPosts'] as $post){ ?>
		<div id="<?php echo $post->getId(); ?>" class="post">
			<h2><a href="<?php echo rewriteUrl('blog', array('type' => 'post', 'pid' => $post->getId())); ?>">
				<?php echo $post->getTitle(); ?></a></h2>
			<div class="postInfo">
				Publié par <?php echo $post->getAuthor(); ?> dans 
				<a href="<?php echo rewriteUrl('blog', array('type' => 'category', 'cid' => $post->getCategory())); ?>">
					<?php echo blog::getCategory($post->getCategory()); ?></a>
				 - <?php echo blog::formatDate($post->getDate()); ?>
			</div>
			<div class="postContent"><?php echo $post->getContent(); ?></div>
			<?php if ($runPlugin->getConfigVal('with_comment')) { ?>
				<div class="postComments">
					<a href="<?php echo rewriteUrl('blog', array('type' => 'post', 'pid' => $post->getId())); ?>#comments">
						<?php echo $post->getNbComments();?> commentaire(s)</a>
				</div>
			<?php } ?>
		</div>
	<?php } ?>
	<?php if (isset($query['cid'])) { ?>
		<?php if ($data['blogNext']) { ?>
			<p class="fleft">
				<a href="<?php echo rewriteUrl('blog', array('type' => 'category', 'cid' => $query['cid'], 'page' => $query['page'] + 1)); ?>">
					&lt;&lt; Billets plus anciens</a>
			</p>
		<?php } ?>
		<?php if ($data['blogPrevious']) { ?>
			<p class="fright">
				<a href="<?php echo rewriteUrl('blog', array('type' => 'category', 'cid' => $query['cid'], 'page' => $query['page'] - 1)); ?>">
					Billets plus récents &gt;&gt;</a>
			</p>
		<?php } ?>
	<?php } else { ?>
		<?php if ($data['blogNext']) { ?>
			<p class="fleft">
				<a href="<?php echo rewriteUrl('blog', array('type' => 'page', 'page' => $query['page'] + 1)); ?>">
					&lt;&lt; Billets plus anciens</a>
			</p>
		<?php } ?>
		<?php if ($data['blogPrevious']) { ?>
			<p class="fright">
				<a href="<?php echo rewriteUrl('blog', array('type' => 'page', 'page' => $query['page'] - 1)); ?>">
					Billets plus récents &gt;&gt;</a>
			</p>
		<?php } ?>
	<?php } ?>
</section>

<?php } else if ($data['blogType'] == 'post') { ?>
<!------------------------------------- POST ---------------------------------->
<section id="blogContent">
	<h2 id="postTitle"><?php echo $post->getTitle(); ?></h2>
	<?php if (isset($_SESSION['lastCategorySeen']) && isset($_SESSION['lastPageSeen'])) { ?>
		<p id="return">
			<a href="<?php echo rewriteUrl('blog', array('type' => 'category', 'cid' => $_SESSION['lastCategorySeen'], 'page' => $_SESSION['lastPageSeen'])); ?>">
				Retour</a>
		</p>
	<?php } else if (isset($_SESSION['lastPageSeen'])) { ?>
		<p id="return">
			<a href="<?php echo rewriteUrl('blog', array('page' => $_SESSION['lastPageSeen'])); ?>">
				Retour</a>
		</p>
	<?php } ?>
	<div id="postInfo">
		Publié par <?php echo $post->getAuthor(); ?> dans 
		<a href="<?php echo rewriteUrl('blog', array('type' => 'category', 'cid' => $post->getCategory())); ?>">
			<?php echo blog::getCategory($post->getCategory()); ?></a>
		 - <?php echo blog::formatDate($post->getDate()); ?>
	</div>
	<div id="postContent">
		<?php echo $post->getContent(); ?>
	</div>
	<?php if ($runPlugin->getConfigVal('with_comment')) { ?>
		<h3 id="comments">Commentaires</h3>
		<?php foreach ($data['blogComments'] as $n=>$comment) { ?>
			<div id="<?php echo $comment->getId(); ?>" class="comment">
				<h4 class="commentNumber">Commentaire #<?php echo $n + 1; ?></h4>
				<div class="commentInfo">
					<?php echo $comment->getAuthor(); ?>
					 - <?php echo blog::formatDate($comment->getDate()); ?>
				</div>
				<div class="commentContent">
					<?php echo str_replace("\r\n","<br />",$comment->getContent()); ?>
				</div>
			</div>
		<?php } ?>
		<div id="commentForm">
			<?php showMsg($data['msg'], $data['msgType']); ?>
			<form method="post" action="<?php echo rewriteUrl('blog', array('type' => 'post', 'pid' => $post->getId(), 'action' => 'save')); ?>#commentForm" id="formCommentForm">
				<p>
					<label for="c_author">Pseudo : </label>
					<input type="text" name="author" id="c_author" value="<?php echo $data['commentData']['author']; ?>" />
				</p>
				<p>
					<textarea name="content" id="c_content"><?php echo $data['commentData']['content']; ?></textarea>
				</p>
				<?php 
					if (blog::useCaptcha()) {
						showCaptcha();
					}
				?>
				<button id="sendCommentButton">Envoyer</button>
			</form>
		</div>
	<?php } ?>
</section>
	<?php if ($runPlugin->getConfigVal('captcha') == 'javascript') { ?>
<script type="text/javascript">
	var human = false;
	var commentField = document.getElementById('c_content');
	
	function checkHuman() {
		human = true;
		window.onmousemove = null;
		commentField.onkeydown = null;
	}
	
	function confirmHuman(e) {
		if (!human) {
			e.preventDefault();
			return false;
		}
	}
	
	window.onmousemove = checkHuman;
	commentField.onkeydown = checkHuman;
	document.getElementById('formCommentForm').onsubmit = confirmHuman;
</script>
	<?php } ?>
<?php } ?>

<?php include_once(ROOT.'theme/'.$coreConf['theme'].'/footer.php') ?>
